<?php
/**
 * Copyright (c) 2024
 * @author: Alttantire Yazılım Çözümleri <info@alttantire.com>
 * Web: https://www.alttantire.com
 *
 */

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

use Alttantire\HepsiPaySDK\HepsiPayGateway;

include "../sdk/HepsiPayGateway.php";

$endpoint = "https://merchantpfpayment-gateway-qa.hepsipay.com";
$merchantNo = "10019";
$terminalNo = "1019";
$storeKey = "hza6J/bF7c4adBNWbr9gVmxwsqgXYd3VwatyX6lT/kU=";

$HepsiPayGateway = new HepsiPayGateway($endpoint, $merchantNo, $terminalNo, $storeKey);

$merchant_order_number = filter_input(INPUT_POST, "MerchantOrderNumber", FILTER_SANITIZE_SPECIAL_CHARS);
$token = filter_input(INPUT_POST, "token", FILTER_SANITIZE_SPECIAL_CHARS);

if(!$token){
    $token = '61C820BA10FA367AE37052A13C180B5C328FEB0ED5CE30A6D0FBC45903222230B9888A3E2AD6C16B587675D68F9A28F5';
}

$payment_status = $HepsiPayGateway->payment_status($token);

print_r($payment_status);
